import yargs from "yargs";
import { RspackCLIColors, RspackCLILogger, RspackCLIOptions } from "./types";
import { RspackOptions, MultiCompiler, Compiler, MultiRspackOptions } from "@rspack/core";
declare type RspackEnv = "development" | "production";
export declare class RspackCLI {
    colors: RspackCLIColors;
    program: yargs.Argv<{}>;
    constructor();
    createCompiler(options: RspackCLIOptions, rspackEnv: RspackEnv): Promise<Compiler | MultiCompiler>;
    createColors(useColor?: boolean): RspackCLIColors;
    getLogger(): RspackCLILogger;
    run(argv: string[]): Promise<void>;
    registerCommands(): Promise<void>;
    buildConfig(item: RspackOptions | MultiRspackOptions, options: RspackCLIOptions, rspackEnv: RspackEnv): Promise<RspackOptions | MultiRspackOptions>;
    loadConfig(options: RspackCLIOptions): Promise<RspackOptions | MultiRspackOptions>;
    isMultipleCompiler(compiler: Compiler | MultiCompiler): compiler is MultiCompiler;
}
export {};
//# sourceMappingURL=rspack-cli.d.ts.map